view.animation

## Class JJComponentMouseMotionListener

- java.lang.Object
- - view.animation.JJComponentMouseMotionListener

All Implemented Interfaces:
  java.awt.event.MouseMotionListener, java.util.EventListener

    public class JJComponentMouseMotionListener
    extends java.lang.Object
    implements java.awt.event.MouseMotionListener

The listener interface for receiving JJComponentMouseMotion events. The class that is interested in processing a JJComponentMouseMotion event implements this interface, and the object created with that class is registered with a component using the component's `addJJComponentMouseMotionListener`method. When the JJComponentMouseMotion event occurs, that object's appropriate method is invoked.``

See Also:
  `JJComponentMouseMotionEvent`

### Constructor Summary

Constructors
Constructor and Description
`JJComponentMouseMotionListener(JJComponent c)` Instantiates a new JJ component mouse motion listener.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `mouseDragged(java.awt.event.MouseEvent e)`
`void` `mouseMoved(java.awt.event.MouseEvent e)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JJComponentMouseMotionListener

    public JJComponentMouseMotionListener(JJComponent c)

Instantiates a new JJ component mouse motion listener.

Parameters:
  `c` - the c

### Method Detail

#### mouseDragged

    public void mouseDragged(java.awt.event.MouseEvent e)

Specified by:
  `mouseDragged` in interface `java.awt.event.MouseMotionListener`

#### mouseMoved

    public void mouseMoved(java.awt.event.MouseEvent e)

Specified by:
  `mouseMoved` in interface `java.awt.event.MouseMotionListener`